# Delete document

## Delete document

<mark style="color:red;">`DELETE`</mark> `https://api.zapsign.com.br/api/v1/docs/{{doc_token}}/`

Delete a document. \
\
Attention: this endpoint is just a soft delete of the document, that is, it will continue to be accessible via API and saved in ZapSign's database. The document will only be hidden from the web interface for end users.\
\
The delete action is no-return, and will change the "deleted" and "deleted\_at" fields of the document.\
\
Note: the request method is DELETE. If you use GET or POST it will not have the desired effect

#### Headers

<table><thead><tr><th width="190">Name</th><th width="126">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td><p>apiToken ahead of the "Bearer" text. </p><p>Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</p></td></tr></tbody></table>

{% tabs %}
{% tab title="200 Document deleted successfully" %}

```json
{
    "sandbox": false,
    "external_id": "",
    "open_id": 178,
    "token": "1504d2e9-a4ad-42a1-a1a7-aaf752431b01",
    "name": "any-with-rubricas.pdf",
    "folder_path": "/",
    "status": "pending",
    "rejected_reason": null,
    "lang": "pt-br",
    "original_file": "https://zapsign.s3.amazonaws.com/2023/3/docs/15499007-18a8-4aac-a340-1abc13a80878/da85a4e3-7bd3-46b3-8c2e-261187f5ff71.pdf",
    "signed_file": null,
    "extra_docs": [],
    "created_through": "web",
    "deleted": true,
    "deleted_at": "2023-07-06T05:21:59.786161Z",
    "signed_file_only_finished": false,
    "disable_signer_emails": false,
    "brand_logo": "",
    "brand_primary_color": "",
    "created_at": "2023-03-15T14:01:17.805249Z",
    "last_update_at": "2023-07-06T05:21:59.786346Z",
    "created_by": {
        "email": "test@gmail.com"
    },
    "template": null,
    "signers": [
        {
            "external_id": "",
            "sign_url": "https://app.zapsign.com.br/verificar/3e497dcc-acb1-40c7-bf06-295e234c35a8",
            "token": "3e497dcc-acb1-40c7-bf06-295e234c35a8",
            "status": "new",
            "name": "John Doe",
            "lock_name": false,
            "email": "",
            "lock_email": false,
            "hide_email": false,
            "blank_email": false,
            "phone_country": "55",
            "phone_number": "9823668218",
            "lock_phone": false,
            "hide_phone": false,
            "blank_phone": false,
            "times_viewed": 0,
            "last_view_at": null,
            "signed_at": null,
            "auth_mode": "assinaturaTela-tokenWhatsapp",
            "qualification": "",
            "require_selfie_photo": false,
            "require_document_photo": false,
            "geo_latitude": null,
            "geo_longitude": null,
            "redirect_link": "",
            "signature_image": null,
            "visto_image": null,
            "document_photo_url": "",
            "document_verse_photo_url": "",
            "selfie_photo_url": "",
            "selfie_photo_url2": "",
            "send_via": "whatsapp"
        }
    ],
    "answers": [],
    "auto_reminder": 3
}
```

{% endtab %}
{% endtabs %}

### Request

{% embed url="<https://www.postman.com/zapsign/workspace/zapsign-workspace/request/27495556-8d9d7936-b09d-4e2d-bfac-17b26385a19e?ctx=documentation>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/documentos/excluir-documento.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
